---
title: MutationObserverInit.subtree
slug: Web/API/MutationObserverInit/subtree
tags:
  - API
  - DOM
  - DOM WHATWG
  - Monitoring
  - Mutation Observer
  - Mutation Observer API
  - MutationObserverInit
  - Nodes
  - Observer
  - Reference
  - Watching
  - mutation
  - subtree
---
<div>{{APIRef("DOM WHATWG")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("MutationObserverInit")}}</strong> dictionary's optional <strong><code>subtree</code></strong> property can be set to <code>true</code> to monitor the targeted node <em>and</em> all of its descendants.</span> The default value, <code>false</code>, indicates only the target node itself is to be monitored for changes.</p>

<p><code>subtree</code> can be used in concert with the other options to extend monitoring of attributes, text content, and child lists to the entire subtree rooted at the target node.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>options</em> = {
  <em>subtree</em>: true | false
}
</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value. The default, <code>false</code>, indicates that only the target node specified when calling {{domxref("MutationObserver.observe()")}} is to be monitored for changes. Changing this value to <code>true</code> causes the entire subtree rooted at the specified target node to be monitored for the changes indicated by the other options.</p>

<p>For example, to watch the target node only for attribute changes, the {{domxref("MutationObserverInit")}} passed into {{domxref("MutationObserver.MutationObserver", "MutationObserver()")}} can be:</p>

<pre class="brush: js">var options = {
  attributes: true,
  subtree: false
};</pre>

<p>Since the default value of <code>subtree</code> is <code>false</code>, line 3 is optional.</p>

<p>To monitor the entire subtree for attribute changes, set <code>subtree</code> to <code>true</code>:</p>

<pre class="brush: js">var options = {
  attributes: true,
  subtree: true
};</pre>

<h2 id="Example">Example</h2>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-mutationobserverinit-subtree', 'MutationObserverInit.subtree')}}</td>
   <td>{{ Spec2('DOM WHATWG') }}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MutationObserverInit.subtree")}}</p>
</div>
